<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.imr.mapper.StorageRoomMapper">

  <resultMap id="storageRoomMap" type="digital.laboratory.platform.imr.entity.StorageRoom">
    <id property="id" column="id"/>
    <result property="name" column="name"/>
    <result property="roomLocation" column="room_location"/>
    <result property="roomPhoto" column="room_photo"/>
    <result property="createBy" column="create_by"/>
    <result property="createTime" column="create_time"/>
    <result property="updateBy" column="update_By"/>
    <result property="updateTime" column="update_time"/>
    <result property="sort" column="sort"/>
    <result property="fileName" column="file_name"/>
  </resultMap>



  <sql id="roomMap">
    select room.*
    from dlp_identification_material_repository.storage_room room
  </sql>
  <!--getStorageRoomList 房间列表 -->
  <select id="getStorageRoomList" resultMap="storageRoomMap">
    <include refid="roomMap"/>
    ${ew.customSqlSegment}
  </select>


  <select id="getStorageRoomPage" resultMap="storageRoomMap">
    <include refid="roomMap"/>
    ${ew.customSqlSegment}
  </select>



</mapper>
